<?php
/*
+-----------------------------------------------------------------------------+
| $Id: box.php 2010-05-24 12:37:44Z Bleakwind $
| Public return something
| Copyright (c) 2003-2010 Bleakwind (www.weaverdream.com)
| http://www.weaverdream.com/
| Release under the GNU Lesser General Public License Version 3 (LGPLv3):
|   http://www.gnu.org/licenses/lgpl.html
+-----------------------------------------------------------------------------+
*/

if (!defined( 'ENTRY_INDEX')){
    echo "<h1>Forbidden</h1><p>You don't have permission to access on this server.</p>";
    exit;
}

//return_channel_all
$sys->return_channel_all();
$t->assign(array(
    "channel_all"       => $sys->channel_all,
    "channel_upper"     => $sys->channel_upper,
));
//////

// channel_top
$channel_top = $sys->return_channel_list("0");
$t->assign(array(
    "channel_top"       => $channel_top,
));
//////

// channel_tree
$channel_tree = $sys->return_channel_tree();
$t->assign(array(
    "channel_tree"      => $channel_tree,
));
//////

// setmodel_list
$setmodel_list  = $sys->return_setmodel_list();
$t->assign(array(
    "setmodel_list"     => $setmodel_list,
));
    //////


// // channel_tree
// if( preg_match("/^[0-9]+$/",$sys->get['channel_id']) && (int)$sys->get['channel_id'] > 0){
//     $path_current_top = explode(",", $sys->channel_tree[(int)$sys->get['channel_id']]['path']);
//     $sys->channel_tree = array();
//     $channel_tree_current = $sys->return_channel_tree("", (int)$path_current_top[0]);
//     $t->assign(array(
//         "channel_tree_current" => $channel_tree_current,
//     ));
// }
// //////
?>
